> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a book



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/Books/{id}
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Books/{id}:
    get:
      tags:
        - Books
      summary: Get a book
      operationId: GetBook
      parameters:
        - description: The book ID
          explode: false
          in: path
          name: id
          required: true
          schema:
            format: int32
            type: integer
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookViewModel'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Not Found
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Error
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    BookViewModel:
      example:
        number_of_parent_portfolios: 6
        access_type_id: not_set
        entitled_users:
          - access_created_by: access_created_by
            access_modified_by: access_modified_by
            status_description: status_description
            access_created_date: '2000-01-23T04:56:07.000+00:00'
            access_user_first_name: access_user_first_name
            status_name: status_name
            access_type_name: access_type_name
            description: description
            access_user_full_name: access_user_full_name
            number_of_parent_portfolios: 3
            access_type_id: not_set
            access_user_email: access_user_email
            status_id: not_set
            name: name
            access_modified_date: '2000-01-23T04:56:07.000+00:00'
            access_type_description: access_type_description
            id: 9
            access_user_id: access_user_id
            access_user_name: access_user_name
            access_user_last_name: access_user_last_name
            access_version: 7
          - access_created_by: access_created_by
            access_modified_by: access_modified_by
            status_description: status_description
            access_created_date: '2000-01-23T04:56:07.000+00:00'
            access_user_first_name: access_user_first_name
            status_name: status_name
            access_type_name: access_type_name
            description: description
            access_user_full_name: access_user_full_name
            number_of_parent_portfolios: 3
            access_type_id: not_set
            access_user_email: access_user_email
            status_id: not_set
            name: name
            access_modified_date: '2000-01-23T04:56:07.000+00:00'
            access_type_description: access_type_description
            id: 9
            access_user_id: access_user_id
            access_user_name: access_user_name
            access_user_last_name: access_user_last_name
            access_version: 7
        name: name
        description: description
        parent_portfolios:
          - number_of_parent_portfolios: 2
            access_type_id: not_set
            number_of_child_portfolios: 5
            is_disabled: true
            name: name
            description: description
            is_checked: true
            id: 1
            portfolio_type: derivitec
            number_of_books: 5
            status: not_set
          - number_of_parent_portfolios: 2
            access_type_id: not_set
            number_of_child_portfolios: 5
            is_disabled: true
            name: name
            description: description
            is_checked: true
            id: 1
            portfolio_type: derivitec
            number_of_books: 5
            status: not_set
        id: 0
        status: not_set
      properties:
        access_type_id:
          enum:
            - not_set
            - view
            - edit
            - owner
          type: string
        description:
          maxLength: 255
          minLength: 5
          type: string
        id:
          format: int32
          type: integer
        name:
          maxLength: 100
          minLength: 3
          type: string
        number_of_parent_portfolios:
          format: int32
          type: integer
        parent_portfolios:
          items:
            $ref: '#/components/schemas/PortfolioInfoViewModel'
          nullable: true
          readOnly: true
          type: array
          uniqueItems: true
        entitled_users:
          items:
            $ref: '#/components/schemas/BookUserAccessViewModel'
          nullable: true
          readOnly: true
          type: array
        status:
          enum:
            - not_set
            - active
            - inactive
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Models.Book.BookViewModel, Derivitec.Web.Models
      required:
        - $type
        - description
        - id
        - name
        - status
      type: object
    ProblemDetails:
      properties:
        type:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        status:
          format: int32
          nullable: true
          type: integer
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
      type: object
    PortfolioInfoViewModel:
      example:
        number_of_parent_portfolios: 2
        access_type_id: not_set
        number_of_child_portfolios: 5
        is_disabled: true
        name: name
        description: description
        is_checked: true
        id: 1
        portfolio_type: derivitec
        number_of_books: 5
        status: not_set
      properties:
        access_type_id:
          enum:
            - not_set
            - view
            - edit
            - owner
          type: string
        description:
          maxLength: 255
          minLength: 5
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        is_checked:
          type: boolean
        is_disabled:
          type: boolean
        name:
          maxLength: 100
          minLength: 3
          type: string
        number_of_books:
          format: int32
          type: integer
        number_of_child_portfolios:
          format: int32
          type: integer
        number_of_parent_portfolios:
          format: int32
          type: integer
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        status:
          enum:
            - not_set
            - active
            - inactive
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Models.Portfolio.PortfolioInfoViewModel,
              Derivitec.Web.Models
      required:
        - $type
        - id
        - name
        - status
      type: object
    BookUserAccessViewModel:
      example:
        access_created_by: access_created_by
        access_modified_by: access_modified_by
        status_description: status_description
        access_created_date: '2000-01-23T04:56:07.000+00:00'
        access_user_first_name: access_user_first_name
        status_name: status_name
        access_type_name: access_type_name
        description: description
        access_user_full_name: access_user_full_name
        number_of_parent_portfolios: 3
        access_type_id: not_set
        access_user_email: access_user_email
        status_id: not_set
        name: name
        access_modified_date: '2000-01-23T04:56:07.000+00:00'
        access_type_description: access_type_description
        id: 9
        access_user_id: access_user_id
        access_user_name: access_user_name
        access_user_last_name: access_user_last_name
        access_version: 7
      properties:
        access_created_by:
          nullable: true
          type: string
        access_created_date:
          format: date-time
          nullable: true
          type: string
        access_modified_by:
          nullable: true
          type: string
        access_modified_date:
          format: date-time
          nullable: true
          type: string
        access_type_description:
          nullable: true
          type: string
        access_type_id:
          enum:
            - not_set
            - view
            - edit
            - owner
          type: string
        access_type_name:
          nullable: true
          type: string
        access_user_email:
          nullable: true
          type: string
        access_user_first_name:
          nullable: true
          type: string
        access_user_id:
          nullable: true
          type: string
        access_user_last_name:
          nullable: true
          type: string
        access_user_full_name:
          nullable: true
          readOnly: true
          type: string
        access_user_name:
          nullable: true
          type: string
        access_version:
          format: int32
          type: integer
        description:
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        name:
          nullable: true
          type: string
        number_of_parent_portfolios:
          format: int32
          type: integer
        status_description:
          nullable: true
          type: string
        status_id:
          enum:
            - not_set
            - active
            - inactive
          type: string
        status_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Models.Book.BookUserAccessViewModel,
              Derivitec.Web.Models
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````